Servoy Treeview Bean - Feature #205

Row Color Option
12/29/2010 06:25 PM - Nicholas Dunn

Status: Resolved Start date: 12/29/2010
Priority: Normal Due date:

Assignee: Gabi Boros % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description
Add functionality to control the color of a row.

History

#1 - 04/07/2012 05:40 PM - Imre Tokai

- Status changed from New to In Progress
- Client type set to Smart client

- In developer? set to Yes

- Servoy version set to 6

- Component version set to experimental
- OS version set to Win7

- Java version set to 6 update 31

Hello Nicholas,

For SmartClient even/odd colors can be configured in experimental version
servoy-treeview-experimental.jar + servoy_sample_treeview_experimental.servoy

Regards

#2 - 07/24/2012 11:50 PM - Nicholas Dunn

Hi Imre,

| would really like to be able to control the color of the row regardless if it is even or odd. For example, have one blue row followed by 3 green rows.
Thanks

#3 - 07/25/2012 08:49 PM - Imre Tokai

- File servoy-treeview.jar added

- File servoy_sample_treeview.servoy added

Hello Nicholas,

You can determine each row's color, by submitting row's index and desired color
elements.treeview.setRowColors(4,"#18eb2c")

See attached material, please

Regards

#4 - 12/30/2013 05:34 PM - Imre Tokai

- Status changed from In Progress to Resolved

Feature should be available in servoy-treeview-experimental.jar
If further work is needed, reopen/create case, please

Regards
Files

servoy-treeview.jar 117 KB 07/25/2012 Imre Tokai
servoy_sample_treeview.servoy 14.7 KB 07/25/2012 Imre Tokai
